/*
* This file is part of MaemoSweeper
*
* Copyright (C) 2005 INdT - Instituto Nokia de Tecnologia
* http://www.indt.org/maemo
*
* This software is free software; you can redistribute it and/or
* modify it under the terms of the GNU Lesser General Public License
* as published by the Free Software Foundation; either version 2.1 of
* the License, or (at your option) any later version.
*
* This software is distributed in the hope that it will be useful, but
* WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
* Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public
* License along with this software; if not, write to the Free Software
* Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
* 02110-1301 USA
*
*/ 

/**
   @file maemosweeper.c

   Maemo wrapper maemosweeper launcher
   <p>
   Copyright (c) 2004 Nokia. All eigths reserved.

   @author INdT

*/

#include <stdio.h>
#include <unistd.h>

char *argh[] = {"/usr/games/wrapper/wrapper",
		"/usr/games/wrapper/games/maemosweeper.game",
		NULL};

int main(int argc, char *argv[])
{
  argc = argc;
  argv = argv;
  FILE *pFile;

  pFile = fopen("/usr/games/.gamewrapper/maemosweeper.debug", "a");
  if(pFile) {
    fprintf(pFile, "app launched\n");
    fclose(pFile);
  }

  if(execv("/usr/games/wrapper/wrapper", argh) == -1) {
    pFile = fopen("/tmp/.gamewrapper/debug/maemosweeper.debug", "a");
    if(pFile) {
      fprintf(pFile, "cannot execute wrapper\n");
      fclose(pFile);
    }
  }

  return 0;
}

